CommonCommands (gCube Templates Portlet 4.8.0-SNAPSHOT API)
Date: 2015-07-03

org.gcube.portlets.user.templates.client.presenter

## Class CommonCommands

- java.lang.Object
- - org.gcube.portlets.user.templates.client.presenter.CommonCommands

-     public class CommonCommands
      extends Object

  * /** `CommonCommands` class contains the menu commands for the UI
  Version:
    December 2009 (1.6)
  Author:
    Massimiliano Assante, ISTI-CNR - massimiliano.assante@isti.cnr.it

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `CommonCommands.SaveReportPopUp` Inner class for save popup

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `com.google.gwt.user.client.Command` | `importTemplateCommand`
    `com.google.gwt.user.client.Command` | `insertImage`
    `com.google.gwt.user.client.Command` | `openTemplate`
    `com.google.gwt.user.client.Command` | `pickColor`
    `com.google.gwt.user.client.Command` | `saveTemplate`
    `com.google.gwt.user.client.Command` | `saveTemplateAs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommonCommands(Presenter controller)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### openTemplate

          public com.google.gwt.user.client.Command openTemplate

    - #### importTemplateCommand

          public com.google.gwt.user.client.Command importTemplateCommand

    - #### insertImage

          public com.google.gwt.user.client.Command insertImage

    - #### saveTemplate

          public com.google.gwt.user.client.Command saveTemplate

    - #### saveTemplateAs

          public com.google.gwt.user.client.Command saveTemplateAs

    - #### pickColor

          public com.google.gwt.user.client.Command pickColor

  - ### Constructor Detail

    - #### CommonCommands

          public CommonCommands(Presenter controller)

Copyright © 2015. All Rights Reserved.